Skip to content

getRootQuoteMakeMethod

READ

Get root quote make method.

POST /api/v1/sales/getRootQuoteMakeMethod
curl -X POST '<your-host>/api/v1/sales/getRootQuoteMakeMethod' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteLineId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "itemId": "string",
  "parentMaterialId": "string",
  "quantityPerParent": 0,
  "quoteId": "string",
  "quoteLineId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string",
  "version": 0,
  "itemType": "Part"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteLineId": {
      "type": "string"
    }
  },
  "required": [
    "quoteLineId"
  ]
}